Page MenuHomeFreeBSD

Test some reproducible builds patches from debian.
ClosedPublic

Authored by mat on Mar 6 2015, 10:56 AM.

Details

Reviewers
mat

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mat updated this revision to Diff 4125.Mar 6 2015, 10:56 AM
mat retitled this revision from to Test some reproducible builds patches from debian..
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat added a subscriber: Unknown Object (MLST).Mar 6 2015, 10:57 AM
mat updated this revision to Diff 4127.Mar 6 2015, 1:54 PM

Some more bits from debian.

mat added a comment.Mar 6 2015, 2:03 PM

The cf_time variable should be set to something, used in $Config{cf_time} should be set to something so that it doesn't change:

$ perl -V:cf_time
cf_time='Wed Dec 17 22:56:45 UTC 2014';
swills added a subscriber: swills.Mar 8 2015, 10:39 PM
In D2016#5, @mat wrote:

The cf_time variable should be set to something, used in $Config{cf_time} should be set to something so that it doesn't change:

$ perl -V:cf_time
cf_time='Wed Dec 17 22:56:45 UTC 2014';

Set it to the timestamp of the perl distfile?

mat updated this revision to Diff 4722.Apr 7 2015, 3:58 PM

Make more reproducible.

mat accepted this revision.Apr 9 2015, 12:09 PM
mat added a reviewer: mat.
This revision is now accepted and ready to land.Apr 9 2015, 12:09 PM
mat added a comment.Apr 9 2015, 12:26 PM

Committed in rP383641.

mat closed this revision.Apr 9 2015, 12:26 PM
AMDmi3 added a subscriber: AMDmi3.Apr 10 2015, 5:27 PM